List notifications
GET
/notifications
const url = 'https://shoehorn.example.com/api/v1/notifications?limit=20';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/notifications?limit=20'Returns notifications for the current user.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
cursor
string
unread
boolean
Filter to unread only
Responses
Section titled “ Responses ”User notifications
Media type application/json
object
notifications
Array<object>
object
id
string format: uuid
type
string
title
string
message
string
url
Deep link to related resource
string
entity_id
string
read
boolean
created_at
string format: date-time
unread_count
integer
pagination
object
nextCursor
string
Example
{ "notifications": [ { "type": "info" } ]}